export function initForm(form, data) {
  if (!data) return;

  const formData = { ...data }
  // 交房时间
  if (data.receivedDate) {
    formData.receivedDate = moment(data.receivedDate)
  }

  // 主图 - 多个
  if (data.buildingImg) {
    formData.avatarImage = data.buildingImg.map((x) => x.url)
  }

  // 封面 - 一个
  if (data.buildingListImg) {
    formData.listImage = data.buildingListImg.map(item => item.url)[0]
  }

  // 视频
  if (data.videoUrl) {
    formData.videoUrl = [].concat(data.videoUrl)
  }

  // 视频封面
  if (data.videoImage) {
    formData.videoImage = data.videoImage[0].url
  }

  form.setFieldsValue(formData);
}
